/*
 * Original Source http://azuco.sumomo.ne.jp/column/ag_ps2cmp/ps2lzss.cpp
 */

unsigned long ps2_lzss(
	unsigned char *sbuf,
	unsigned char *dbuf,
	unsigned long dlen,
	CompressFlagType compress_flag,
	unsigned long enconding_bit
	);

unsigned long ps2_lzss2(
	unsigned char *sbuf,
	unsigned char *dbuf,
	unsigned long dlen,
	CompressFlagType compress_flag,
	unsigned long enconding_bit
	);
